Bug 678431 - Incorrect key for fedora-debug repo
Summary: Incorrect key for fedora-debug repo
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-release
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dennis Gilmore
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 678940 (view as bug list)
Depends On:
Blocks: F15Blocker-kde
TreeView+ depends on / blocked
 
Reported: 2011-02-17 22:04 UTC by Christoph Wickert
Modified: 2011-03-19 05:47 UTC (History)
8 users (show)

Fixed In Version: mash-0.5.21-2.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-19 05:47:16 UTC


Attachments (Terms of Use)

Description Christoph Wickert 2011-02-17 22:04:47 UTC
Description of problem:
In F15 alpha one cannot install debuginfo due to a wrong key.

Version-Release number of selected component (if applicable):
fedora-release-15-0.6.noarch

How reproducible:
always

Steps to Reproduce:
1. boot F15 alpha TC 2
2. debuginfo-install foo
  
Actual results:
"warning: rpmts_HdrFromFdno: Header V3 RSA/SHA256 Signature, key ID 97a1071f: NOKEY
Retrieving key from file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-i386
GPG key at file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-i386 (0x069C8460) is already installed


The GPG keys listed for the "Fedora 15 - i386 - Debug" repository are already installed but they are not correct for this package.
Check that the correct key URLs are configured for this repository."

Comment 1 Rex Dieter 2011-02-18 14:58:58 UTC
kde crash handler relies on this functionality, so marking a blocker for tracking purposes.

Comment 2 Dennis Gilmore 2011-02-18 15:59:25 UTC
the issue is that i put the new key in the wrong order, and so its prefered F-14's key over f15s  there is an updated mash for this

Comment 3 Fedora Update System 2011-02-18 16:01:05 UTC
mash-0.5.21-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mash-0.5.21-2.fc15

Comment 4 Dennis Gilmore 2011-02-21 04:01:28 UTC
*** Bug 678940 has been marked as a duplicate of this bug. ***

Comment 5 Andy Lawrence 2011-02-21 11:21:26 UTC
(In reply to comment #2)
> the issue is that i put the new key in the wrong order, and so its prefered
> F-14's key over f15s  there is an updated mash for this

Thanks Dennis, does this mean the effected packages need to be tagged and rebuilt?

Comment 6 Dennis Gilmore 2011-02-21 14:23:29 UTC
No it means i need to use the new mash.

Comment 7 Kai Engert (:kaie) (inactive account) 2011-02-21 16:57:04 UTC
Not restricted to debuginfo, I believe.
Same error also display with an installed rawhide system, when trying to switch to fc15 branch.

I had a recent rawhide installed, last updated Feb 09 (no fc16 packages on this system).
Today, I installed the newest fedora-release package from fc15.

When trying "yum update", I get the same error message as mentioned in comment 0.

warning: rpmts_HdrFromFdno: Header V3 RSA/SHA256 Signature, key ID 97a1071f: NOKEY
Retrieving key from file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-i386
The GPG keys listed for the "Fedora 15 - i386" repository are already installed but they are not correct for this package.
Check that the correct key URLs are configured for this repository.

Comment 8 Tim Flink 2011-02-23 00:42:49 UTC
I hit this on a fresh i386 install of F15 (netinstall with testing-updates enabled). Since yum can't get debug packages, I can't get backtraces for the bugs I'm hitting.

Comment 9 Fedora Update System 2011-03-19 05:47:11 UTC
mash-0.5.21-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.